Bug 536109 (RHQ-495)

Summary: allow user to specify Resource names for new Resources prior to or at the time of import
Product: [Other] RHQ Project Reporter: Ian Springer <ian.springer>
Component: Core UIAssignee: RHQ Project Maintainer <rhq-maint>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 1.0CC: ccrouch, jshaughn
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: All   
OS: All   
URL: http://jira.rhq-project.org/browse/RHQ-495
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-05-12 16:05:47 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Ian Springer 2008-05-16 08:59:00 EDT
A couple possible ways to do this:

1) On the dashboard autodiscovery portlet, add an input box for the name of the Resource. When the Import button is clicked, the specified name will be used.
2) Add a 'defaultName' plugin config prop to any Resource types that we want the user to be able to control the default name. Note, to make this option viable, we will need to add a way for users to edit the plugin config templates.
Comment 1 Joseph Marques 2008-05-17 22:57:27 EDT
yes, this was something i wanted to do in 1.x back when there were all those patches to make the jbas and tomcat names more unique.  but the plugin configuration code was messy back then.

now, with 2.0, this is actually possible.  ideally, i'd love to see plugin config templates, and then expose certain constructs to the user with an ordered list of well-known tokens to choosen from to build up the name.

this would, for instance, present the user with the following list for a JBAS instance:

platformName
resourceType
resourceVersion
configSet
bindAddress
bindPort
partitionName
custom

which users could then choose in an ordered way like:

${platformName} ${resourceType} ${resourceVersion} ${configSet} (${bindAddress}:${bindPort})

and then parameter replacement might create something like:

marques-custom JBossEAP 4.3.0.GA production (172.16.1.1:1099)

choose a different ordering:

${partitionName} ${platformName} (${bindAddress}:${bindPort})

and you get:

EAP43-cluster marques-custom (172.16.1.1:1099)
Comment 2 Joseph Marques 2008-05-17 22:59:53 EDT
the replacements would be listed in the type definition inside of rhq-plugin.xml and the plugin impl would somehow have to supply values for these.  this way, each plugin could optionally implement this name-switching interface, and then be able to arbitrarily configure names for those typed resources via the web console.
Comment 3 Charles Crouch 2008-09-08 11:44:17 EDT
This originated in case 159585 
Comment 4 Red Hat Bugzilla 2009-11-10 16:10:29 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-495